execute as @a[scores={us.death=1..}] at @s run function us:death
effect give @a saturation 5 9 true
effect give @a night_vision 5 9 true
execute as @a[gamemode=survival] at @s run gamemode adventure @s
spawnpoint @a -6 112 4
tag @a[gamemode=spectator] remove levi_death
scoreboard players set @a[gamemode=spectator] us.levitationdeath 0
effect clear @a[gamemode=adventure] regeneration
effect clear @a[gamemode=adventure] absorption
effect give @e[type=slime] regeneration 2 255 true
effect give @e[type=slime] strength 2 1 true
kill @e[type=slime,nbt=!{Size:2}]
# ONE #
execute if block -6 112 9 minecraft:barrel[open=true] run function us:one/levideath
execute as @a[x=-6,y=107,z=15,distance=..1] at @s run tag @s add levi_death
execute as @a[tag=levi_death] at @s run scoreboard players add @s us.levitationdeath 1
execute as @a[tag=levi_death,scores={us.levitationdeath=1..}] at @s run effect give @s levitation 2 16 true
execute as @a[tag=levi_death,scores={us.levitationdeath=37..}] at @s run function us:one/death_levi
execute as @a at @s if block ~ ~-1.3 ~ crimson_planks run function us:one/barrel_appear
# TWO #
execute as @a[nbt={SelectedItem:{id:"minecraft:gold_nugget",Count:1b,tag:{blocklocker:1b}}}] at @s run tag @s add block_locked
execute as @a at @s unless entity @s[nbt={SelectedItem:{id:"minecraft:gold_nugget",Count:1b,tag:{blocklocker:1b}}}] run tag @s remove block_locked
execute as @a[tag=!block_locked] at @s if block ~ ~-0.3 ~ diorite run function us:two/not_locked
execute unless entity @e[type=marker,tag=slabs] run summon marker -4 143 -44 {Tags:["slabs"]}
execute as @a at @s if block ~ ~ ~ crimson_slab run tag @s add slab
execute as @a[tag=slab] at @s run tp @s ~ ~ ~ facing entity @e[type=marker,tag=slabs,limit=1]
execute as @a[tag=slab] at @s run tp @s ^ ^ ^0.79
execute as @a[tag=slab] at @s run scoreboard players add @s us.slab 1
execute as @a[tag=slab] at @s run effect give @s levitation 5 255 true
execute as @a[tag=slab,scores={us.slab=96..}] at @s run function us:two/slab
execute as @a at @s if block ~ ~-1.3 ~ deepslate_emerald_ore run function us:two/lava
execute as @a at @s if block ~ ~-2.3 ~ deepslate_emerald_ore run function us:two/lava
execute as @a at @s if block ~ ~-3.3 ~ deepslate_emerald_ore run function us:two/lava
execute as @a at @s if block ~ ~-4.3 ~ deepslate_redstone_ore run function us:two/move1
execute as @a at @s if block ~ ~-3.3 ~ deepslate_redstone_ore run function us:two/move1
execute as @a at @s if block ~ ~-4.3 ~ deepslate_iron_ore run function us:two/move2
execute as @a at @s if block ~ ~-5.3 ~ deepslate_iron_ore run function us:two/move2
execute as @a at @s if block ~ ~-6.3 ~ nether_bricks run function us:two/anvil
# THREE #
execute as @a at @s if block ~ ~-1.3 ~ light_gray_wool run function us:three/red_green
execute as @a at @s if block ~ ~-1.3 ~ acacia_planks run function us:three/stuck
execute as @a[tag=stuck] at @s run scoreboard players add @s us.stuck 1
execute as @a[tag=stuck,scores={us.stuck=69..}] at @s run tellraw @a {"text":"Stuck? Click here!","color":"red","bold":true,"italic":false,"hoverEvent":{"action":"show_text","contents":[{"text":"Click here!","color":"green","bold":true,"italic":false}]},"clickEvent":{"action":"run_command","value":"/function us:three/stucked"}}
execute as @e[type=item,nbt={Item:{id:"minecraft:golden_apple",Count:1b,tag:{lol:1b}}}] at @s if block ~ ~-1.3 ~ light_gray_wool run function us:three/win
# FOUR #
execute as @a at @s if block ~ ~-2.3 ~ ancient_debris run function us:four/debris
execute as @a[tag=debris] at @s run scoreboard players add @s us.debris 1
execute as @a[tag=debris,scores={us.debris=35..}] at @s run function us:four/change
execute as @a at @s if block ~ ~-0.3 ~ birch_planks run tag @s add up
execute as @a[tag=up] at @s run scoreboard players add @s us.up 1
execute as @a[tag=up,scores={us.up=15}] at @s run function us:four/one
execute as @a[tag=up,scores={us.up=30}] at @s run function us:four/two
execute as @a[tag=up,scores={us.up=40}] at @s run function us:four/three
execute as @a[tag=up,scores={us.up=50}] at @s run function us:four/four
execute as @a[tag=up,scores={us.up=60..}] at @s run function us:four/five
# FIVE # 
execute as @a at @s if block ~ ~-1.3 ~ iron_ore run function us:five/water
execute as @a at @s if block ~ ~-5.3 ~ copper_ore run function us:five/slime
execute as @a at @s if block ~ ~-4.3 ~ copper_ore run function us:five/slime
execute as @a at @s if block ~ ~-6.3 ~ copper_ore run function us:five/slime
execute as @a at @s if block ~ ~-4.3 ~ honey_block run function us:five/wool
execute as @a at @s if block ~ ~-3.3 ~ honey_block run function us:five/wool
execute as @a at @s if block ~ ~-5.3 ~ honey_block run function us:five/wool
execute as @a at @s if block ~ ~-1.3 ~ polished_andesite run function us:five/pane
execute if block -6 112 75 light_gray_stained_glass_pane run function us:five/win
# SIX #
execute if block -6 112 81 minecraft:barrel[open=true] run function us:six/barrel
execute as @a[x=-1,y=108,z=79,distance=..1] at @s run effect give @s minecraft:blindness 10 2 false
execute as @a[x=-6,y=104,z=88,distance=..1] at @s run effect give @s minecraft:levitation 1 12 false
execute as @a at @s if block ~ ~-1.3 ~ purple_concrete_powder run function us:six/sugarcube
effect give @e[type=husk,tag=sugar_cube] regeneration 5 255 true
effect give @e[type=husk,tag=sugar_cube] invisibility 5 255 true
effect give @e[type=husk,tag=sugar_cube] strength 5 1 true
effect give @e[type=husk,tag=sugar_cube] speed 5 1 true
execute as @a at @s if entity @e[type=husk,tag=sugar_cube,distance=..1.5] run summon lightning_bolt
execute as @a[nbt={Inventory:[{id:"minecraft:gold_nugget",tag:{scroll:1b}}]}] at @s run tag @s add scroll
execute as @a[tag=scroll] at @s run scoreboard players add @s us.scroll 1
execute as @a[tag=scroll,scores={us.scroll=1..}] at @s run clear @s gold_nugget
execute as @a[tag=scroll,scores={us.scroll=2}] at @s run tellraw @a [{"text":"<","color":"white"},{"selector":"@s","color":"white"},{"text":">","color":"white"},{"text":" I've finally found it........ After 15 years","color":"white"}]
execute as @a[tag=scroll,scores={us.scroll=58}] at @s run tellraw @a [{"text":"<","color":"white"},{"selector":"@s","color":"white"},{"text":">","color":"white"},{"text":" The Scroll of Truth!","color":"white"}]
execute as @a[tag=scroll,scores={us.scroll=102}] at @s run tellraw @a [{"text":"<","color":"white"},{"text":"The Scroll of Truth","color":"gold"},{"text":">","color":"white"},{"text":" The Wild Update is basically just Caves and Cliffs: Part 3"}]
execute as @a[tag=scroll,scores={us.scroll=200}] at @s run tellraw @a [{"text":"<","color":"white"},{"selector":"@s","color":"white"},{"text":">","color":"white"},{"text":" NYEHHH!","color":"white"}]
execute as @a[tag=scroll,scores={us.scroll=220..}] at @s run function us:six/scroll
# SEVEN #
effect give @e[tag=npc] regeneration 5 255 true
execute as @a at @s if block ~ ~-1.3 ~ rooted_dirt run function us:seven/bypass
execute as @a at @s if block ~ ~-1.3 ~ crimson_stem run function us:seven/barrel
execute as @a at @s if block ~ ~ ~ brown_carpet run function us:seven/carpet
execute as @a at @s if block ~ ~-1.3 ~ warped_stem run function us:seven/witch_dialogue
execute as @a[tag=witch] at @s run scoreboard players add @s us.witch 1
execute as @a[tag=witch,scores={us.witch=1}] at @s run tellraw @a {"text":"<Candy Witch> Greetings, player! I am the Candy Witch","color":"white","italic":false}
execute as @a[tag=witch,scores={us.witch=40}] at @s run tellraw @a {"text":"<Candy Witch> I am aware of your desire to pass this level, and I shall ask for a favour","color":"white","italic":false}
execute as @a[tag=witch,scores={us.witch=100}] at @s run tellraw @a {"text":"<Candy Witch> If you are able to bring me some Witch Sugar, I shall let you pass this level and go to the next","color":"white","italic":false}
execute as @a[tag=witch,scores={us.witch=140}] at @s run playsound entity.experience_orb.pickup master @a
execute as @a[tag=witch,scores={us.witch=141}] at @s run tellraw @a [{"text":"[!] Objective:","color":"gold","bold":true,"italic":false},{"text":" Bring the Candy Witch some Witch Sugar","color":"aqua","bold":false,"italic":false}]
execute as @a[tag=witch,scores={us.witch=142}] at @s run function us:seven/witch_stop
execute as @e[tag=witch,type=witch] at @s run tp @s ~ ~ ~ 180 5
execute unless entity @e[tag=witch,type=witch] run summon witch -7 112 97.7 {Invulnerable:1b,Glowing:0b,CustomNameVisible:1b,PersistenceRequired:1b,NoAI:1b,Tags:["npc","witch"],CustomName:'{"text":"Candy Witch","bold":true,"italic":false}'}
execute as @a[nbt={Inventory:[{id:"minecraft:sugar",tag:{witch:1b}}]}] at @s run function us:seven/sugar
execute if block -3 112 94 minecraft:barrel[open=true] run function us:seven/open
execute as @a[tag=assassin] at @s run scoreboard players add @s us.button 1
execute as @a[tag=assassin,scores={us.button=1}] at @s run tellraw @s {"text":"Th3A554551n joined the game","color":"yellow","italic":false}
execute as @a[tag=assassin,scores={us.button=10}] at @s run tellraw @s {"text":"<Th3A554551n> Well this is odd, the button isn't working?","color":"white","italic":false}
execute as @a[tag=assassin,scores={us.button=80}] at @s run tellraw @s {"text":"<Th3A554551n> Whatever, I can just /kill you and you will never finish the map and I win!","color":"white","italic":false}
execute as @a[tag=assassin,scores={us.button=170}] at @s run tellraw @s {"text":"<Th3A554551n> What's that? You still want to finish the map?","color":"white","italic":false}
execute as @a[tag=assassin,scores={us.button=220}] at @s run tellraw @s {"text":"<Th3A554551n> Alright, FINE. I'll teleport you, BUT you will have permanent slowness so I can watch you suffer even more","color":"white","italic":false}
execute as @a[tag=assassin,scores={us.button=290}] at @s run tellraw @s {"text":"<Th3A554551n> Good luck finishing the map!","color":"white","italic":false}
execute as @a[tag=assassin,scores={us.button=300}] at @s run tellraw @s {"text":"Th3A554551n left the game","color":"yellow","italic":false}
execute as @a[tag=assassin,scores={us.button=301}] at @s run tp @s -5 112 101 0 0
execute as @a[tag=assassin,scores={us.button=302}] at @s run tag @a add slow
execute as @a[tag=assassin,scores={us.button=303}] at @s run function us:seven/assassin_stop
execute as @a[tag=slow] at @s run effect give @s slowness 5 1 false
# EIGHT #
execute as @a at @s if block ~ ~-1.3 ~ lapis_ore run function us:eight/nope
execute as @a[nbt=!{ActiveEffects:[{Id:26b,Amplifier:1b}]}] at @s if block ~ ~-1.3 ~ red_wool run function us:eight/red_green
execute if block -12 112 105 crimson_fence_gate[open=true] run function us:eight/spawn
execute as @e[tag=follow] at @s run tp @s ~ ~ ~ facing entity @p
execute as @a at @s if block ~ ~-1.3 ~ stripped_oak_log run function us:eight/move
execute as @e[tag=move] at @s run tp @s ^ ^ ^0.15
execute as @e[tag=move] at @s if block ~ ~-1.3 ~ purpur_pillar run tp @s ~ ~ ~ 90 0
execute as @e[tag=move] at @s if block ~ ~-1.3 ~ amethyst_block run tp @s ~ ~ ~ 0 0
execute as @a at @s if block ~ ~-2.3 ~ stripped_birch_log run function us:eight/wall
execute as @a at @s if block ~ ~-1.3 ~ stripped_jungle_log run function us:eight/lava
execute as @e[tag=move] at @s if block ~ ~-1.3 ~ stripped_acacia_log run function us:eight/villager_death
execute as @a[tag=antired] at @s run scoreboard players add @s us.move 1
execute as @a[tag=antired,scores={us.move=69..}] at @s run function us:eight/antired
clear @a glass_bottle
execute as @a[nbt={ActiveEffects:[{Id:26b,Amplifier:1b}]}] at @s run fill -11 113 115 -1 130 115 air
# NINE #
execute unless entity @e[type=falling_block,tag=fall] run summon falling_block -10.5 111 117.5 {BlockState:{Name:"minecraft:white_wool"},NoGravity:1b,Silent:1b,Time:0,DropItem:0b,HurtEntities:0b,Tags:["fall"]}
execute as @a at @s if block ~ ~-1.3 ~ raw_gold_block run function us:nine/bypass
execute as @a at @s if block ~ ~-1.3 ~ stripped_crimson_stem run function us:nine/step
execute as @a[tag=step] at @s run scoreboard players add @s us.nope 1
execute as @a[tag=step,scores={us.nope=38..}] at @s run function us:nine/stepscheduled
execute as @a[x=-11,y=106,z=126,distance=..1] at @s run effect give @s minecraft:levitation 1 11 false
execute if block -3 112 123 minecraft:jungle_fence_gate[open=true] run function us:nine/gate1
execute if block -7 112 123 minecraft:jungle_fence_gate[open=true] run function us:nine/gate2
execute if block -9 112 123 minecraft:jungle_fence_gate[open=true] run function us:nine/gate3
# TEN #
execute as @a at @s if block ~ ~ ~ oak_slab run setblock ~ ~ ~ air destroy
execute as @a at @s if block ~ ~-1.3 ~ blue_concrete run function us:ten/lava